/* CSS Reset */
* {
padding: 0;
margin: 0;
box-sizing: border-box;
color: #f2f2f2; /* off white */

/* default font */
font-family: 'PT Serif', serif;

}

/* target the html element called body */
/* start body */
body {
background-image: linear-gradient(to right, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/bg.jpeg);
/*background-image: linear-gradient(to right, #29323c, #485563);*/
background-size: cover;
background-repeat: no-repeat;
background-position: center;
height: 100vh;
text-align: center;
}
/* end body */

.container {
width: 500px;
margin: 80px auto;
}

/* start h1 */
h1 {
font-family: 'Poppins', sans-serif;
font-size: 50px;
text-transform: uppercase;
margin-bottom: 20px;
letter-spacing: 5px;
background-image: linear-gradient(to right, #09203f, #537895);
display: inline-block;
-webkit-background-clip: text;
background-clip: text;
color: transparent;

}

/* end h1 */

/* start h2 */
h2 {
font-family: 'Poppins', sans-serif;
color: yellow;
text-transform: uppercase;
letter-spacing: 5px;
margin-bottom: 15px;
background-color: #333;
border-radius: 10px;
padding: 10px; /* adds space outside of the element */
margin: 10px; /* adds space outside of the element */
}
/* end h2 */

/* target the element with the class bio */
.bio {
font-size: 18px;
background-color: rgba(51, 51, 51, 0.3);
border-radius: 2px;
padding: 10px;

/* multiplied to the current line height */
line-height: 1.75;

/*background-color: rgb(51, 51, 51);
opacity: .5;*/
}

.img-container {
position: relative;
width: 200px;
height: 200px;
margin: 50px auto;
}

/* targets the element with the id me */
#me {
border-radius: 50%;
width: 100%;
object-fit: cover;
margin-bottom: 25px;
}

.overlay {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
height: 100%;
width: 100%;
background-color: rgba(0, 0, 0, 0.3);
border-radius: 50%;
opacity: 0;
transition: .5s ease;
}

.text {
  color: white;
  background-color: rgba(0,0,0, 0.6);
  padding: 5px 10px;
  border-radius: 2px;
  font-size: 16px;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  text-align: center;
  letter-spacing: 2px;
}

.img-container:hover .overlay {
	opacity: 1;
}